from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XUIConfigurationStorage(XInterface, Protocol):
    def setStorage(self, Storage: XStorage) -> None: ...
    def hasStorage(self) -> bool: ...
